#version 330 core

in Data {
	vec2 texCoords;
	vec3 colorTint;
} pass;

out vec4 color;

uniform sampler2D texSampler;
uniform float glow = 1.0;

void main() {
	color = texture(texSampler, pass.texCoords);
	color.r *= pass.colorTint.r * glow;
	color.g *= pass.colorTint.g * glow;
	color.b *= pass.colorTint.b * glow;
}
